import request from '@/utils/request'

// 根据关键字模糊查询企业企查查886
export function qccEnterprise(params) {
  return request({
    url: '/qcc/getEnterpriseKeySearch',
    method: 'get',
    params
  })
}

// 企查查详细信息
export function qccEnterpriseDetail(params) {
  return request({
    url: '/qcc/getBasicDetailsByName',
    method: 'get',
    params
  })
}

// 企业详情-首页
export function getEnterpriseDetailHome(source) {
  const url = source === 'noAuth' ? '/enterprise/myEnterprise' : '/enterprise/forUpdate'
  return request({
    url: url,
    method: 'get'
  })
}

// 企业详情-我的企业
export function getEnterpriseDetail(params) {
  return request({
    url: '',
    method: 'get',
    params
  })
}

// 添加企业
export function submitEnterpriseInfo(params, data) {
  return request({
    url: '/enterprise/upsert',
    method: 'post',
    params,
    data
  })
}
